package com.muyu.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.AsCategoryAttribute;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 品类属性中间Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Mapper
public interface AsCategoryAttributeMapper extends BaseMapper<AsCategoryAttribute> {


    /**删除 品类 属性 中间表 */
    void deleteAsCategoryAttribute(Long id);


    /**
     * 添加 品类 属性 中间表
     * categoryId:品类id
     * attributeId:属性id
     */
    void addAsCategoryAttribute(@Param("categoryId") Long categoryId, @Param("attributeId") Long attributeId);

    /**
     * 查询 品类 属性组 中间表
     */
    List<Long> selectAsCategoryAttributeList(@Param("id") Long id);
}
