package com.muyu.product.domain.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 修改 属性状态
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class AttributeGroupStateReq {

    /** 属性id */
    @ApiModelProperty(name = "属性id", value = "属性id", required = true)
    private Long id;
    /** 状态 */
    @ApiModelProperty(name = "状态", value = "状态", required = true)
    private String states;
}
