package com.muyu.product.domain.req;

import com.muyu.product.domain.ProjectInfo;
import com.muyu.product.domain.ProjectSkuInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 修改商品
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ProjectInfoUpdReq {

    /**
     *
     */
    private List<Long> attrValueList;

    /**
     * 商品 规格
     */
    private ProjectSkuInfo productSkuList;
    /**
     * 商品信息
     */
    private ProjectInfo projectInfo;



}
