package com.muyu.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.AsCategoryAttributeGroup;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 品类属性组中间Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Mapper
public interface AsCategoryAttributeGroupMapper extends BaseMapper<AsCategoryAttributeGroup> {

    void deleteAsCategoryAttributeGroup(Long id);

    /**
     * 添加 品类 属性组 中间表
     * categoryId:品类id
     * attributeGroupId:属性id
     */
    void addAsCategoryAttributeGroup(@Param("categoryId") Long categoryId, @Param("attributeGroupId") Long attributeGroupId);

    /**
     * 查询 品类 属性组 中间表
     */
    List<Long> selectAsCategoryAttributeGroupList(@Param("id") Long id);
}
