package com.muyu.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.AsCategoryBrand;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 品类品牌中间Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Mapper
public interface AsCategoryBrandMapper extends BaseMapper<AsCategoryBrand> {

    /**删除 品类 品牌 中间表 */
    void deleteAsCategoryBrandMapper(Long id);

    /**
     * 添加 品类 品牌 中间表
     * categoryId:品类id
     * brandId:品牌id
     */
    void addAsCategoryBrandMapper(@Param("categoryId") Long categoryId, @Param("brandId") Long brandId);

    /**
     * 查询 品类 属性组 中间表
     */
    List<Long> selectAsCategoryBrandList(@Param("id") Long id);
}
